Package org.eclipse.ecf.core.identity

## Class UuID

- java.lang.Object
- - org.eclipse.ecf.core.identity.BaseID
  - - org.eclipse.ecf.core.identity.UuID

All Implemented Interfaces:
  `Serializable`, `Comparable`, `Principal`, `org.eclipse.core.runtime.IAdaptable`, `ID`

    public class UuID
    extends BaseID

Since:
  3.5
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `UuID.UuIDNamespace`

### Field Summary

Fields
`protected UUID` `uuid`

### Fields inherited from class org.eclipse.ecf.core.identity.BaseID

`namespace`

### Constructor Summary

Constructors
`` `UuID()`
`protected` `UuID​(UuID.UuIDNamespace ns, UUID uuid)`

### Method Summary

All Methods Instance Methods Concrete Methods
`UUID` `getUUID()`
`protected int` `namespaceCompareTo​(BaseID obj)` Called by `Namespace.getCompareToForObject(BaseID, BaseID)`.
`protected boolean` `namespaceEquals​(BaseID obj)` Called by `Namespace.testIDEquals(BaseID, BaseID)`.
`protected String` `namespaceGetName()` Called by `Namespace.getNameForID(BaseID)`.
`protected int` `namespaceHashCode()` Called by `Namespace.getHashCodeForID(BaseID)`.
`String` `toString()`

### Methods inherited from class org.eclipse.ecf.core.identity.BaseID

`compareTo, equals, getAdapter, getName, getNamespace, hashCode, namespaceToExternalForm, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

### Field Detail

#### uuid

    protected UUID uuid

### Constructor Detail

#### UuID

    public UuID()

Since:
  3.9

#### UuID

    protected UuID​(UuID.UuIDNamespace ns,
                   UUID uuid)

### Method Detail

#### namespaceCompareTo

    protected int namespaceCompareTo​(BaseID obj)

Description copied from class: `BaseID`
Called by `Namespace.getCompareToForObject(BaseID, BaseID)`.

Specified by:
  `namespaceCompareTo` in class `BaseID`
Parameters:
  `obj` - the other ID to compare to. Will not be `null`.
Returns:
  the appropriate value as per `Comparable` contract.

#### namespaceEquals

    protected boolean namespaceEquals​(BaseID obj)

Description copied from class: `BaseID`
Called by `Namespace.testIDEquals(BaseID, BaseID)`.

Specified by:
  `namespaceEquals` in class `BaseID`
Parameters:
  `obj` - the other ID to test against. May be `null`.
Returns:
  `true` if this ID is equal to the given ID. `false` otherwise.

#### namespaceGetName

    protected String namespaceGetName()

Description copied from class: `BaseID`
Called by `Namespace.getNameForID(BaseID)`.

Specified by:
  `namespaceGetName` in class `BaseID`
Returns:
  String name for this ID. Must not be `null`. Value returned should be unique within this Namespace.

#### namespaceHashCode

    protected int namespaceHashCode()

Description copied from class: `BaseID`
Called by `Namespace.getHashCodeForID(BaseID)`.

Specified by:
  `namespaceHashCode` in class `BaseID`
Returns:
  int hashCode for this ID. Returned value must be unique within this process.

#### getUUID

    public UUID getUUID()

#### toString

    public String toString()

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`